@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: Poppins;
}

a {
  text-decoration: none;
}

body {
  font-family: Poppins;
  background-image: linear-gradient(
    to bottom right,
    rgb(159, 226, 239),
    rgb(43, 196, 124)
  );
}

.formDocBody {
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
}

nav {
  position: absolute;
  top: 1rem;
  font-weight: 800;
  li {
    list-style: none;
    transition: all 0.3s ease-in;
    &:hover {
      scale: 104%;
    }
    &:active {
      scale: 97%;
    }
  }
}

.formContainer {
  min-width: 50%;
  background: white;
  box-shadow: 1px 2px 3px hsl(0, 1%, 66%) inset;
  padding-inline: 2rem;
  padding-block: 1rem;
  border-radius: 1rem;
}

form {
  display: flex;
  flex-direction: column;
}

form .nameContainer {
  display: flex;
  flex-direction: column;
}

form .emailPasswordContainer {
  display: flex;
  flex-direction: column;
}

label {
  padding: 0.3rem 0.2rem;
  font-weight: 600;
  font-size: 1.3rem;
  font-family: Poppins;
  color: hsl(0, 2%, 21%);
}

input[type="text"],
input[type="email"],
input[type="password"] {
  padding: 0.5rem 0.7rem;
  /* border-radius: 0.5rem; */
  font-family: Poppins;
  &::placeholder {
    font-family: Poppins;
  }
}

.formContainer .btnContainer {
  padding: 1rem;
  width: 50%;
  margin-inline: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

.formContainer button {
  color: white;
  font-weight: 700;
  background-color: rgb(0, 0, 0);
  padding: 10px 15px;
  border: none;
  border-radius: 0.6rem;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  &:hover {
    transform: scale(1.1);
  }
  &:active {
    transform: scale(0.9);
  }
}
